Network label is unchanged on additional network interfaces with VMware templates

03/10/2015 02:11 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Compute resources - VMware   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1197156 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2403

  

Description

Customer clones host in Vmware ESX cluster from template. Template has two network interfaces. In Sat6 WebUI customer on

second network interface selects some network label from the list but newly created host does not get new label but rather stays with

the label from template.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

in VMware UI define VMware network infrastructure.

in VMware UI create template based on image. Image must have two or more network interfaces.

In Sat6 define VMware compute resource and some compute profiles   * Make compute profiles using VMware template defined

before

In satellite6 WebUI go Hosts->New Host.    * Fill all needed parameters.    * Select Deploy on VMware.    * Select Compute

Profile

in Virtual Machine Tab    * in the Network on second interface select any of defined VLANs/Network Labels (must be queried

automatically)

Click Submit.

Patches are available downstream

Related issues:

Related to Foreman - Bug #9705: Disk sizes specified not used in VMware image... Closed 03/10/2015

Related to Foreman - Bug #5630: VmWare clone from template fails if Network A... Closed 05/08/2014

Blocked by Foreman - Refactor #10997: Update fog to 1.33.0 Closed 07/03/2015

Associated revisions

Revision 952ad8c1 - 08/26/2015 03:38 AM - Ivan Necas

Fixes #9704,#9705 - ability to customize vmware VM on image-based provisioning

Allows applying the changes form the form to the VM when cloning from

a template.

Depends on https://github.com/fog/fog/pull/3570

History

#1 - 03/10/2015 02:12 PM - Bryan Kearney

- Bugzilla link set to 1197156

#2 - 03/10/2015 02:14 PM - Bryan Kearney

- Related to Bug #9705: Disk sizes specified not used in VMware image provisioning added
https://github.com/fog/fog/pull/3570


#3 - 03/11/2015 07:04 AM - Dominic Cleal

- Subject changed from Network label gets unchanged on second and subsequent network interface when provisioned from VMware template  to

Network label is unchanged on additional network interfaces with VMware templates

- Category set to Compute resources - VMware

#4 - 05/26/2015 07:31 AM - Ivan Necas

- Status changed from New to Assigned

- Assignee set to Ivan Necas

#5 - 05/26/2015 11:18 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2403 added

- Pull request deleted ()

#6 - 07/15/2015 04:34 AM - Dominic Cleal

- Related to Bug #5630: VmWare clone from template fails if Network Adator has labels in VmWare added

#7 - 07/24/2015 11:33 AM - Dominic Cleal

- Blocked by Refactor #10997: Update fog to 1.33.0 added

#8 - 08/26/2015 03:40 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#9 - 08/26/2015 04:07 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 952ad8c1ad0741e3e4ef5883a2dc59885e1b0ca6.
